@import url('https://fonts.googleapis.com/css2?family=Cormorant+Infant:ital,wght@0,300..700;1,300..700&family=Great+Vibes&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');

:root{
    --kolor-uzupelniajacy:#69121E;
    --kolor-jasny: #F6E7CE;
    --kolor-ciemny: #3B2A1F;
}
*{
    transition: 0.5s;
    box-sizing: border-box;
}
html{
    scroll-behavior: smooth;/*płynne przewijane*/
}
body{
    font-family: "Work Sans", sans-serif;
    font-size: 12pt;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}
input{
    font-family: inherit;
}
a{
    text-decoration: none;
}
p{
    line-height: 140%; /*interlinia musi być zwiększona do wygodnego czytania*/
    font-weight: 300;
    /* background-color: yellow; */
}
h1{
    font-family: "Cormorant Infant", serif;
    font-size: 30pt;
  font-optical-sizing: auto;
  text-transform: uppercase;
  font-weight: 700;
  font-style: normal;
}
h2{
font-family: "Cormorant Infant", serif;
    font-size: 18pt;
    text-transform: uppercase;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  /* background-color: green; */
}
h3{
    font-family: "Great Vibes", cursive;
    font-size: 25pt;
  font-weight: 400;
  font-style: normal;
}
h4{
    font-family: "Work Sans", sans-serif;
    font-size: 9pt;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;    
}
.button,
a.button {
    font-family: "Work Sans", sans-serif;
    font-size: 11pt;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;          
  text-transform: uppercase;
}
img{
    max-width: 100%;/*responsywne obrazy*/
}
nav{
    background-color: var(--kolor-ciemny); 
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;/*przylep pasek do okna przegl. = zawsze widoczny*/
    width: 100%;
    z-index: 1000; /*zmiana kolejności warstw w osi z*/
}
nav ol{
    /*background-color: yellow;*/
    padding: 10px;
    display: flex;
    max-width: 1400px;
    width: 100%;
    justify-content:space-evenly;
    align-items: center;

}
nav ol li a{
    color: #F6E7CE;
    padding: 10px 2vw;
    /*display: inline; DOMYŚLNIE*/
    display: block; /*pomaga w ustawieniu wielkości hiperłączy*/
}
nav ol li a:hover{
    opacity: 0.3;
}
/*WSZYSTKIE SEKCJE*/
section{
   min-height: 90vh;/*vh = viewport height = % wys. okna przygl.*/

   display: flex;
   flex-direction: row; /*domyslnie*/
   flex-direction: column;
   justify-content: center;
   align-items: center;

   scroll-margin-top: 56px;/*zeby nav nie zaslaniala zawartosci sekcji*/
    padding: 40px 20px;
}
.zawartosc{
    /*FLEX ITEMS*/
    max-width: 1400px;
    width: 100%; /*przywracamy max szerokości*/
}

/* POSZCZEGÓLNE SEKCJE */
#sekcja1{
    max-height: 300px;
    background: url(../img/Obraz-1.jpg);
    background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  min-height: 120vh;
}
#sekcja1 .zawartosc{
    color: var(--kolor-jasny);
    display: flex;
    flex-direction: column;
    gap: 2vh;
    justify-content: center;/*nie dziala = row column to zmienia justify/align*/
    align-items: center;
    max-width: 1200px;
    margin-top: 50px;
    margin-bottom: 50px;
}
#logo{
    max-width: 250px;
    max-height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 30px;
    margin-top: 200px;
}
#sekcja1 h1{
    text-align: center;
    margin-bottom: -5px;
}
#sekcja1 h3{
text-align: center;
margin-bottom: 15px;
}
#sekcja1 p{
    text-align: center;
    margin-bottom: 0px;
    max-width: 1000px;
}
#sekcja1 a{
 width: 250px;
 height: 150px;
 display: flex;
 margin-bottom: 50px;
}
#sekcja1 a:hover{
   content:url(../img/Button-1-hover.svg);
}



#sekcja2{
    max-height: 1000px;
    background: url(../img/Obraz-2.png);
    background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  min-height: 100vh;
}
#sekcja2 .zawartoscwstep{
    color: var(--kolor-jasny);
    display: flex;
    align-items: center;
    justify-content: center;
    max-width: 1200px;
    margin-top: 50px;
}
#sekcja2 h1{
    text-align: center;
    color: var(--kolor-jasny);
    margin-bottom: 5px;
}
#sekcja2 h3{
    text-align: center;
    color: var(--kolor-jasny);
    margin-bottom: 15px;
    text-transform: initial;
}
#sekcja2 article{
    text-align: center;
    color: var(--kolor-jasny);
    text-transform: initial;
    margin-bottom: 50px;
    max-width: 1000px;
}
#sekcja2 .zawartosc{
display: flex;
  justify-content: space-evenly;
  max-width: 1400px;
  margin-bottom: 50px;
}

#sekcja2 .karta{
    width: 400px;
    height: 500px;
    background-image: url(../img/Koronka.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    position: relative;

    padding: 30px 90px;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    color: var(--kolor-ciemny);
    text-align: center;
}
#sekcja2 .karta img{
    width: 100px;
    margin: 20px;
}
#sekcja2 .karta p{
    height: 110px;
}


#sekcja3{
    background-color: var(--kolor-ciemny);
    background: url(../img/Obraz-3.jpg) no-repeat center bottom / cover fixed;
    position: relative;
    
}
#sekcja3::before{
content: '';
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.2);
  z-index: 0;
}
#sekcja3 .zawartosc{
    margin-top: 50px;
    color: var(--kolor-jasny);
    display: flex;
    flex-direction: column;
    gap: 1vh;
    justify-content: center;/*nie dziala = row column to zmienia justify/align*/
    align-items: center;
    z-index: 1;
    /* background-color: red; */
}
#sekcja3 h1{
    /* background-color: yellow; */
     text-align: center;
    color: var(--kolor-jasny);
    margin-bottom: 5px;
}
#sekcja3 h3{
    /* background-color: blue; */
    text-align: center;
    color: var(--kolor-jasny);
    margin-bottom: 15px;
    text-transform: initial;
}
#sekcja3 p{
    /* background-color: green; */
    text-align: center;
    margin-bottom: 0px;
    max-width: 1000px;
}
#sekcja3 a{
    /* background-color: pink; */
    width: 250px;
    height: 50px;
    margin-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 50px;
}
#sekcja3 a:hover{
   content:url(../img/Button-2-hover.svg);
}


#sekcja4{
    background: url(../img/Obraz-4.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

   
    min-height: 80vh;
    text-align: center;
}

#sekcja4 h1{
    text-align: center;
    margin-bottom: -5px;
    margin-top: 90px;
}
#sekcja4 h3{
    text-align: center;
    margin-bottom: 15px;
}
#sekcja4 p{
    
    margin-bottom: 50px;
    /* max-width: 1000px; */
}

#sekcja4 .zawartosc{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    max-width: 1400px;
    margin-bottom: 50px;
    align-items: flex-start; /*wyrównanie do góry - można zmienić na center żeby przyciski były bardziej na jednej linii*/
}
#sekcja4 .zawartosc article{
    flex: 0 1 300px;
    /* background-color: green; */
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
}
#sekcja4 .zawartosc article img{
}
#sekcja4 .zawartosc article .skala{
    display: flex;
    gap: 200px;
    align-items: center;
    justify-content: center;

    color: var(--kolor-ciemny);
    text-align: center;
}
#sekcja4 .zawartosc article .profil{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: flex-start;
    font-family: "Work Sans", sans-serif;
    font-size: 11pt;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;          
  text-transform: uppercase;
    /* background-color:blue; */
}
#sekcja4 .zawartosc article .galeria{
    /* background-color: yellow; */
    width: 100px;

    display: flex;
    gap: 10px;
    flex-direction: column;
    align-items: center;
}
hr{
    border: none;
    width: 1.5px;
min-height: 900px;
max-height: 1500px;
background-color: var(--kolor-ciemny);
}
#sekcja4 .zawartosc article h2{
    margin: 20px 0;
}
#sekcja4 .zawartosc article a{
 width: 250px;
 height: 150px;
 display: flex;
 margin-bottom: 50px;
}
#sekcja4 .zawartosc article a:hover{
   content:url(../img/Button-3-hover.svg);
}



#stopka{
    max-height: 300px;
    background: url(../img/Obraz-5.png);
    background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--kolor-jasny);

  min-height: 80vh;
}
#stopka .zawartosc{
    color: var(--kolor-jasny);
    display: flex;
    flex-direction: column;
    gap: 2vh;
    justify-content: center;/*nie dziala = row column to zmienia justify/align*/
    align-items: center;
    max-width: 1200px;
    margin-top: 50px;
}
#stopka h3{
    text-align: center;
    color: var(--kolor-jasny);
    margin-bottom: 50px;
    text-transform: initial;
}
#stopka article{
    text-align: center;
    color: var(--kolor-jasny);
    text-transform: initial;
    margin-bottom: 20px;
    max-width: 1000px;
}
#stopka p{
    margin-top: 30px;
    max-width: 500px;
    margin-bottom: 30px;
}
#stopka form{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--kolor-jasny);
    background: none;
    border: 0;
}
input{
min-width: 225px;
   min-height: 25px; 
   padding: 5px;
   margin: 10px;
   color: var(--kolor-jasny);
   background: none;
background-color: var(--kolor-uzupelniajacy);
border-color: var(--kolor-jasny);
outline: 5px;
}
#stopka button{
    background: none;
    border: 0;
    width: 250px;
    height: 50px;
    display: flex;
    margin-bottom: 50px;
}
#stopka button:hover{
   content:url(../img/Button-4-hover.svg);
}
#stopka .przyciski{
    padding: 10px;
    display: flex;
    max-width: 1400px;
    width: 100%;
    justify-content:space-evenly;
    align-items: center;
margin-top: 70px;

}
#stopka a{
    color: #F6E7CE;
    padding: 10px 2vw;
    /*display: inline; DOMYŚLNIE*/
    display: row; /*pomaga w ustawieniu wielkości hiperłączy*/
    justify-content: space-evenly;
    margin-bottom: 50px;
}
#stopka .social{
margin-bottom: 50px;
}
#stopka h4{
    margin-bottom: 50px;
}